﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using Infragistics.Windows.Themes;

namespace DockManagerIssue
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
         private static string mApplicationTheme = "Aero";
         public static string AplicationTheme
         {
             get
             {
                 return mApplicationTheme;
             }
             set
             {
                 mApplicationTheme = value;
                 ResourceDictionary ResDic = null;
                 Application.Current.Resources.Clear();
                 ResDic = ThemeManager.GetResourceSet(value, ThemeManager.AllGroupingsLiteral);
                 if (ResDic != null)
                 {
                     Application.Current.Resources.MergedDictionaries.Add(ResDic);
                     ThemeManager.CurrentTheme = mApplicationTheme;
                 }

             }
         }
            

    }
}
