﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;
using System.Windows.Media.Imaging;
using System.Windows.Controls;
using System.Reflection;
using Infragistics.Windows.Editors;
using System.Collections.ObjectModel;
using System.Data;
namespace DockManagerIssue
{
    public class TypeToControlConverter : IMultiValueConverter 
    {
        #region IMultiValueConverter Members

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            DateTime? fieldType = values[0] as DateTime?;
            Order Condition = values[1] as Order;
            XamDateTimeEditor datetimeeditor = new XamDateTimeEditor();
            datetimeeditor.Mask = "{date} {time}";
            Binding bind = new Binding("OrderDate");
            bind.Source = Condition;
            datetimeeditor.SetBinding(XamDateTimeEditor.ValueProperty, bind);
            return datetimeeditor;
        
        }

      

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}

